# BEGIN SourceDeps(oneline):
BuildRequires: perl(Chemistry/File.pm) perl(Chemistry/InternalCoords.pm) perl(Chemistry/InternalCoords/Builder.pm) perl(Chemistry/Mol.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Scalar.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Chemistry-File-InternalCoords
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Internal coordinates (z-matrix) molecule format reader/writer
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DA/DAVIDRW/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This is a subclass of the Chemistry::File manpage for reading and writing the zmatriz (aka Z-matrix aka InternalCoords) molecule data format. It registers the 'zmat' file extension with the Chemistry::Mol manpage.

For example, here is hydrogen:

  H
  H      1              B1
  
  B1                   0.70000000

and water:

  O
  H      1              B1
  H      1              B2     2              A1
  
  B1                   0.96659987
  B2                   0.96659987
  A1                 107.67114171



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes TODO README
%perl_vendor_privlib/C*

%changelog
* Thu Oct 17 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

